
Foreman - Feature #3806

As a user I'd like to have easy way to migrate existing data to new authorization mechanism

12/04/2013 12:45 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: DB migrations   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We'll need to model existing permissions using filters (use unlimited filters for every permission according to current user roles).

Related issues:

Related to Foreman - Feature #812: cant assign roles to groups, just to users Closed 03/31/2011

History

#1 - 12/04/2013 12:45 PM - Marek Hulán

- Related to Feature #812: cant assign roles to groups, just to users added

#2 - 01/09/2014 02:37 PM - Dominic Cleal

- Target version set to 1.9.2

#3 - 01/22/2014 02:10 PM - Anonymous

- Status changed from New to Assigned

#4 - 01/22/2014 02:12 PM - Marek Hulán

- Assignee set to Marek Hulán

#5 - 01/24/2014 08:15 AM - Marek Hulán

- Status changed from Assigned to Ready For Testing

We have a db migration that converts permissions in PR#1070 so setting as ready for testing.

#6 - 02/06/2014 12:05 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#7 - 03/03/2014 12:49 PM - Anonymous

- Target version changed from 1.9.1 to 1.9.0

#8 - 03/03/2014 02:32 PM - Dominic Cleal

- Category set to DB migrations

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 4

Part of #812 for Foreman 1.5.0.
